function y = generatesnrep(partition,inarray)

% function y = generatesnrep(youngd,cycle,dim)
%
% The function GenerateSnRep returns the group element "cycle" in the
% representation specified by the Young diagram "youngd". The dimension
% of the representation must also be specified - "dim".
% 
% Example:
% matrep = generatesnrep([3,2,1],[2 1 3 4 5 6])

% Michael Stephanou - 2007
% Norman Ives - 2008

if sum(partition) ==1
    y = 1;
else
    
    generatingc = CreateRetrieveGenc(partition);
    dim = sndim(partition);
    y = eye(dim);

    multlst = mult2cyc(inarray);
    temp = [];
    for k = 1:length(multlst)
        temp{k} = multlst{length(multlst)-k+1};
    end
    multlst = temp;

    for k = 1:size(multlst,2)

        m = 1;
        flg = 0;
        while (m <= size(multlst{k},2)) && (flg == 0)
            if multlst{k}(m) ~= m
                indx = m;
                flg = 1;
            end
            m = m+1;
        end

        y = y*generatingc{indx};
    end
end



