function y = hookprod(youngd)

% function y = hookprod(youngd)
%
% Returns the product of the hook lengths for the Young diagram youngd
% 
% See W. Fulton, Young Tableaux, pg 54
% 
% Norman Ives (2008)

k = length(youngd);
l = youngd + k - (1:k);

% this would be tricky to vectorize and grows less than quadratically with 
% the number of rows so that it probably isn't worth the effort.
p = 1;
for j = 1:k
	for i = 1:j-1
		p = p * (l(i)-l(j));
	end
end

y = prod(factorial(l))/p;

